<ion-header>
  <ion-toolbar>

    <ion-buttons slot="start">
      <ion-back-button slot="start"></ion-back-button>
    </ion-buttons>

    <ion-title>Manage Categories</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
    <ion-row>
      <ion-col size-md=6 offset-md=3>
        <ion-card>
          <ion-card-header>
            <ion-card-title>
              Your categories
            </ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <ion-list>

              <ion-item *ngFor="let category of categories">

                <app-category-box [category]=category>
                </app-category-box>
                <ion-button slot=end (click)="editCategory(category.id);">Edit</ion-button>

              </ion-item>

            </ion-list>
            <ion-button (click)="navigateToCategoryCreation();">
              Add Category
            </ion-button>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
</ion-content>
